Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.tags
Class AppletTag

    java.lang.Object
      org.htmlparser.nodes.AbstractNode
          org.htmlparser.nodes.TagNode
              org.htmlparser.tags.CompositeTag
                  org.htmlparser.tags.AppletTag

All Implemented Interfaces:
  Serializable, Cloneable, Node, Tag

    public class AppletTag

extends CompositeTag

AppletTag represents an <Applet> tag. It extends a basic tag by providing accessors to the class, codebase, archive and parameters.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.htmlparser.tags.CompositeTag
`mDefaultCompositeScanner, mEndTag`

Fields inherited from class org.htmlparser.nodes.TagNode
`breakTags, mAttributes, mDefaultScanner`

Fields inherited from class org.htmlparser.nodes.AbstractNode
`children, mPage, nodeBegin, nodeEnd, parent`

Constructor Summary
`AppletTag()` Create a new applet tag.

Method Summary
`Hashtable` | `createAppletParamsTable()` Extract the applet `PARAM` tags from the child list.
`String` | `getAppletClass()` Get the class name of the applet.
`Hashtable` | `getAppletParams()` Get the applet parameters.
`String` | `getArchive()` Get the jar file of the applet.
`String` | `getCodeBase()` Get the code base of the applet.
`String[]` | `getEndTagEnders()` Return the set of end tag names that cause this tag to finish.
`String[]` | `getIds()` Return the set of names handled by this tag.
`String` | `getParameter(String key)` Get the `PARAM`tag with the given name.``
`Enumeration` | `getParameterNames()` Get an enumeration over the (String) parameter names.
`void` | `setAppletClass(String newAppletClass)` Set the `CODE`attribute.``
`void` | `setAppletParams(Hashtable newAppletParams)` Set the enclosed `PARM`children.``
`void` | `setArchive(String newArchive)` Set the `ARCHIVE`attribute.``
`void` | `setCodeBase(String newCodeBase)` Set the `CODEBASE`attribute.``
`String` | `toString()` Output a string representing this applet tag.

Methods inherited from class org.htmlparser.tags.CompositeTag
`accept, childAt, children, collectInto, digupStringNode, elements, findPositionOf, findPositionOf, findPositionOf, getChild, getChildCount, getChildrenAsNodeArray, getChildrenHTML, getEndTag, getStringText, getText, putChildrenInto, putEndTagInto, removeChild, searchByName, searchFor, searchFor, searchFor, searchFor, setEndTag, toHtml, toPlainTextString, toString`

Methods inherited from class org.htmlparser.nodes.TagNode
`breaksFlow, getAttribute, getAttributeEx, getAttributesEx, getEnders, getEndingLineNumber, getRawTagName, getStartingLineNumber, getTagBegin, getTagEnd, getTagName, getThisScanner, isEmptyXmlTag, isEndTag, removeAttribute, setAttribute, setAttribute, setAttribute, setAttributeEx, setAttributesEx, setEmptyXmlTag, setTagBegin, setTagEnd, setTagName, setText, setThisScanner`

Methods inherited from class org.htmlparser.nodes.AbstractNode
`clone, doSemanticAction, getChildren, getEndPosition, getFirstChild, getLastChild, getNextSibling, getPage, getParent, getPreviousSibling, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHtml`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.htmlparser.Node
`clone, doSemanticAction, getChildren, getEndPosition, getFirstChild, getLastChild, getNextSibling, getPage, getParent, getPreviousSibling, getStartPosition, setChildren, setEndPosition, setPage, setParent, setStartPosition, toHtml`

Constructor Detail

### AppletTag

    public AppletTag()

  Create a new applet tag.

Method Detail

### getIds

    public String[] getIds()

  Return the set of names handled by this tag.

  Specified by:
    `getIds` in interface `Tag`
  Overrides:
    `getIds` in class `TagNode`
  Returns:
    The names to be matched that create tags of this type.

### getEndTagEnders

    public String[] getEndTagEnders()

  Return the set of end tag names that cause this tag to finish.

  Specified by:
    `getEndTagEnders` in interface `Tag`
  Overrides:
    `getEndTagEnders` in class `TagNode`
  Returns:
    The names of following end tags that stop further scanning.

### createAppletParamsTable

    public Hashtable createAppletParamsTable()

  Extract the applet `PARAM` tags from the child list.

  Returns:
    The list of applet parameters (keys and values are String objects).

### getAppletClass

    public String getAppletClass()

  Get the class name of the applet.

  Returns:
    The value of the `CODE` attribute.

### getAppletParams

    public Hashtable getAppletParams()

  Get the applet parameters.

  Returns:
    The list of parameter values (keys and values are String objects).

### getArchive

    public String getArchive()

  Get the jar file of the applet.

  Returns:
    The value of the `ARCHIVE` attribute, or `null` if it wasn't specified.

### getCodeBase

    public String getCodeBase()

  Get the code base of the applet.

  Returns:
    The value of the `CODEBASE` attribute, or `null` if it wasn't specified.

### getParameter

    public String getParameter(String key)

  Get the `PARAM`tag with the given name. NOTE: This was called (erroneously) getAttribute() in previous versions.

  ``
  Parameters:
    `key` - The applet parameter name to get.
  Returns:
    The value of the parameter or `null` if there is no parameter of that name.

### getParameterNames

    public Enumeration getParameterNames()

  Get an enumeration over the (String) parameter names.

  Returns:
    An enumeration of the `PARAM`tag `NAME`attributes.````

### setAppletClass

    public void setAppletClass(String newAppletClass)

  Set the `CODE`attribute.

  ``
  Parameters:
    `newAppletClass` - The new applet class.

### setAppletParams

    public void setAppletParams(Hashtable newAppletParams)

  Set the enclosed `PARM`children.

  ``
  Parameters:
    `newAppletParams` - The new parameters.

### setArchive

    public void setArchive(String newArchive)

  Set the `ARCHIVE`attribute.

  ``
  Parameters:
    `newArchive` - The new archive file.

### setCodeBase

    public void setCodeBase(String newCodeBase)

  Set the `CODEBASE`attribute.

  ``
  Parameters:
    `newCodeBase` - The new applet code base.

### toString

    public String toString()

  Output a string representing this applet tag.

  Specified by:
    `toString` in interface `Node`
  Overrides:
    `toString` in class `CompositeTag`
  Returns:
    A string showing the contents of the applet tag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |